<?php

require("includes/check_auth_user.php");

require("includes/dbconnect.php");

include ('includes/function.php');



$zdb        = $_SESSION["zdbyear_" . $dbname];

mysqli_select_db($conn, $zdb);

$admin      = $_SESSION["admin_" . $dbname];

$success    = false;

$fseries = $_SESSION["society_" . $dbname];

$para = $_REQUEST["para"];

$paracond = " and `frmac`='$para'";

$file = 'cashpay.php';

$tourcode = $_SESSION['tourcode'];
$tourname = $_SESSION['tourname'];
$tourcond = "AND a.tour = '$tourcode'";


$keyfld     = "vouchno";

$rangeFrom = $_REQUEST["rangeFrom"];

$rangeTo = $_REQUEST["rangeTo"];

$searchTerm = $_REQUEST["ssearch"];

$operator = $_REQUEST["soperator"];



$cond = "";

if ($operator == "=") {

    if ($_REQUEST["sfield"] == "1") {

        $cond = "AND a.`vouchno` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "2") {

        $cond = "AND a.`vouchdt` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "3") {

        $cond = "AND b.`name` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "4") {

        $cond = "AND a.`amount` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "5") {

        $cond = "AND c.`name` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "6") {

        $cond = "AND a.`recpno` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "7") {

        $cond = "AND a.`narr1` = '$searchTerm'";

    } 

} else {

    if ($_REQUEST["sfield"] == "1") {

        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "2") {

        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "3") {

        $cond = "AND b.`name` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "4") {

        $cond = "AND a.`amount` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "5") {

        $cond = "AND c.`name` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "6") {

        $cond = "AND a.`recpno` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "7") {

        $cond = "AND a.`narr1` LIKE '%$searchTerm%'";

    } 

}



 $sortcond = "ORDER BY a.`vouchno`";

if ($_REQUEST["sortBy"] == "1") {

    $sortcond = " ORDER BY a.`vouchno`";

}elseif ($_REQUEST["sortBy"] == "2") {

    $sortcond = " ORDER BY a.`vouchdt`";

}elseif ($_REQUEST["sortBy"] == "3") {

    $sortcond = " ORDER BY b.`name`";

}elseif ($_REQUEST["sortBy"] == "4") {

    $sortcond = " ORDER BY a.`amount`";

}elseif ($_REQUEST["sortBy"] == "5") {

    $sortcond = " ORDER BY c.`name`";

}elseif ($_REQUEST["sortBy"] == "6") {

    $sortcond = " ORDER BY a.`recpno`";

}elseif ($_REQUEST["sortBy"] == "7") {

    $sortcond = " ORDER BY a.`narr1`";

}



$ordcond = "DESC";

if ($_REQUEST["orderAs"] == "desc") {

    $ordcond = " DESC";

} else {

    $ordcond = " ASC";

}



$query = "SELECT a.*,date_format(vouchdt,'%d-%m-%Y') as mydt, b.name as party,c.name as bankname FROM `cashpay` a, `accmast` b, `accmast` c 

         WHERE a.`accode` = b.`accode` and a.bankcode = c.accode 

         $tourcond $paracond $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";

$result = mysqli_query($conn, $query)or die(mysqli_error($conn));



$rows = array();

$ctr = 0;

while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = [ 'success'   => true,

                'value'     => $ctr,

                'keyfld'    => $keyfld,

                'vouchno'   => $r['vouchno'],

                'vouchdt'   => $r['mydt'],

                'bname'     => $r['bankname'],

                'amount'    => $r['amount'],

                'name'      => $r['party'],

                'recpno'    => $r['recpno'],

                'narr1'     => $r['narr1'],

                'narr2'     => $r['narr2'],

                'action'    => "$file?mode=edit&series=$fseries&vouchno=$r[vouchno]&para=$para",

        ];

    $ctr++;

}

header("Content-type: application\json");

echo json_encode($rows);

